TVTOHZ(9)

NAME
tvtohz, tstohz - translate time period to timeout delay

SYNOPSIS
#include <sys/types.h>
#include <sys/time.h>
#include <sys/systm.h>
int
tvtohz(const struct timeval *tv);
int
tstohz(const struct timespec *ts);

DESCRIPTION
The tvtohz() and tstohz() functions compute the number of hz in the specified amount of time. They are mainly used to translate a timeval or timespec, respectively, into a suitable argument for timeout(9).

CODE REFERENCES
These functions are implemented in the file sys/kern/kern_clock.c.

SEE ALSO
hz(9), hzto(9), timeout(9)